Skip to content
View as Markdown

POST Draft Campaign Recipients​

POST
/campaigns/{id}/draft-recipients

Save recipient selection settings for a campaign and calculate the estimated recipient count. Supports filtering by list/tag, dynamic segment, or advanced filters. Clears any previously processed campaign emails and resets the campaign to draft status.

Authorizations​

ApplicationPasswords

WordPress Application Passwords — use Basic auth with your WordPress username and an application password in the format: username:application_password

Type
API Key (header: Authorization)

Parameters​

Path Parameters

id*

The campaign ID.

Type
integer
Required

Request Body​

application/json
JSON
{
"sending_filter": "list_tag",
"subscribers": {
"lists": [
0
],
"tags": [
0
]
},
"excludedSubscribers": {
"lists": [
0
],
"tags": [
0
]
},
"dynamic_segment": {
"slug": "string",
"id": 0
},
"advanced_filters": [
{
}
]
}

Responses​

Recipient settings saved successfully.

application/json
JSON
{
"message": "string",
"count": 0
}

Playground​

Authorization
Variables
Key
Value
Body

Samples​

Powered by VitePress OpenAPI